{% extends "@FOSUser/Profile/profile_layout.html.twig" %}

{% block title  %}
    <title> Mes Annonces - Pièces de rechange - Sayara.tn</title>
{% endblock %}
{% block content %}
    <div class="main-container">
        <div class="container">
            <div class="row">
                <div class="col-sm-9 page-content">
                    <div class="inner-box" style="background-color: #fff">
                        <h2 class="title-2"><i class="icon-docs"></i> Mes Annonces</h2>
                        {% if spares is empty %}
                            <div class="alert alert-info">Vous n'avez aucune Annonce</div>
                            <div style="text-align: center;">
                                <a href="" class="btn btn-lg btn-border btn-post btn-danger">Ajouter une Annonce </a>
                            </div>
                        {% else %}
                            <!--<div class="table-action">
                                <div class="table-search pull-right col-xs-7">
                                    <div class="form-group">
                                        <label class="col-xs-5 control-label text-right"> &nbsp; <br>
                                            <a title="clear filter" class="clear-filter" href="#">&nbsp;</a>
                                        </label>
                                        <div class="col-xs-7 searchpan">
                                            <input type="text" class="form-control" id="recherche" placeholder="Rechercher" style="height: auto">
                                        </div>
                                    </div>
                                </div>
                            </div>-->
                            <table id="addManageTable" class="table table-striped table-bordered add-manage-table table demo">
                                <thead>
                                <tr>
                                    <th> Mignature</th>
                                    <th data-sort-ignore="true"> Détails</th>
                                    <th data-type="numeric"> Etat</th>
                                    <th > Operations</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for spare in spares %}
                                    <tr>
                                        <td style="width:14%" class="add-img-td">
                                            {% if spare.photos is empty %}
                                                <img class="thumbnail  img-responsive" src="{{ asset('backassets/images/avatars/no-image.jpg') }}" alt="img">
                                            {% else %}

                                                {% for photo in spare.photos %}
                                                    {% if loop.first %}
                                                        {% set couverture= photo %}
                                                        <img class="thumbnail  img-responsive" src="{{ asset('uploads/applications/'~couverture.name) }}" alt="img">
                                                    {% endif %}
                                                {% endfor %}
                                            {% endif %}
                                        </td>
                                        <td style="width:40%" class="ads-details-td">
                                            <div>
                                                <p><strong> <a target="_blank" href="{{ path('show_searched_spare', {'id': spare.id , slug:spare.title | slugify}) }}" title="Brend New Nexus 4">{{ spare.title }}</a></strong>
                                                </p>
                                                <p><strong> Crée le </strong>:{{spare.createdAt|date('d-M-Y') }}, {{ spare.createdAt|date('H:i') }}</p>
                                            </div>
                                        </td>
                                        <td style="width:12%">
                                            {% if not spare.isPublic %}
                                                <div><strong><span class="label label-primary">En cours</span></strong>
                                                </div>
                                            {% else %}
                                                <div><strong><span class="label label-success">Active</span></strong>
                                                </div>
                                            {% endif %}
                                        </td>
                                        <td style="width:14%" class="action-td">
                                            <div>
                                                <a href="{{ path('spare_photo_edition', {'id': spare.id }) }}" class="btn btn-warning btn-sm"> <i class="fa fa-image"></i></a>
                                                <a href="{{ path('spare_edit', {'id': spare.id }) }}" class="btn btn-primary btn-sm"> <i class="fa fa-edit"></i></a>
                                                <a href="#" class="btn btn-danger btn-sm" data-toggle="modal" data-target="#myModal"><i class=" fa fa-trash"></i></a>
                                            </div>
                                        </td>
                                    </tr>
                                    {#{% endif %}#}
                                    <!-- Modal -->
                                    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="exampleModalLabel"><i class="fa fa-trash-o"></i>Supprimer Annonce</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    Voulez-vous bien supprimer cette annonce !
                                                </div>
                                                <div class="modal-footer">
                                                    <a type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</a>
                                                    <a type="button" class="btn btn-danger" onclick="deleteSpareApplication({{ spare.id }})">Supprimer</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <!----End Modal------->
                                {% endfor %}
                                </tbody>
                            </table>
                        {% endif %}

                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascript %}
    {#<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>#}



    <script type="text/javascript">

        function deleteSpareApplication(id) {

            $.ajax({
                url: "{{ path('spare_delete') }}",
                type: 'POST',
                data: {id: id},
                success: function (spare) {
                    console.log("suppression "+spare.toString())
                    $('#myModal .close').click()
                   location.reload()
                }, error: function (spare) {
                    console.log("fail!"+spare['title'])

                }
            });


        }

        $(document).ready(function () {
            $('#addManageTable').DataTable({
                "iDisplayLength": 3,
                "oLanguage": {"sInfo": "Vous avez _TOTAL_ annonce(s)"},
                bLengthChange: !1
            });
            $('.dataTables_filter').hide();
            $('.dataTables_filter').children().children().attr('id', 'original');
            $("#recherche").keyup(function () {
                $("#original").val($(this).val());
                $("#original").keyup()
            })
        })
    </script>
{% endblock %}


